Approve Time Off

Approve a time off request.

Authentication

This endpoint accepts any one of the following token types:

  • Company-scoped access token (OAuth2AuthorizationCode) — obtained by a company manager through the Authorization Code flow or the Refresh Token flow. See Authentication for partners.
  • Company-scoped access token (assertion) (OAuth2CompanyManagerAssertion) — obtained through the urn:ietf:params:oauth:grant-type:jwt-bearer grant for a company manager. See OAuth Assertion.
  • Customer API token (CustomerAPIToken) — generated by the customer on their Integration Settings page, with the scopes they choose there. See Authorization for customers.

Scopes

Any one of the scopes in a token type's row is enough. all:write works too.

Token typeCategoryRead only ScopeWrite only Scope (read access implicit)
Company-scoped access tokenManage timeoffs (time_and_attendance)-Manage timeoffs (timeoff:write)
Company-scoped access token (assertion)Manage timeoffs (time_and_attendance)-Manage timeoffs (timeoff:write)
Customer API tokenManage timeoffs (time_and_attendance)-Manage timeoffs (timeoff:write)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Time Off ID

Body Params

ApproveTimeoff

Approve timeoff params

string | null
required

The field matches the id of a user in the
Remote Platform that has permission to approve time off
requests. Available users can be found fetching
the List Company Manager endpoint.

Responses

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json